levelshots/xlab_run_cc_automap
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/xlab_run_cc.tga
      depthFunc equal
      rgbGen identity
   }
}

levelshots/xlab_run_cc_trans
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/xlab_run_cc.tga
      blendfunc blend
      rgbGen identity
      alphaGen vertex
   }
}

textures/xlab_tj/highscores_xlab_run
{
	qer_editorimage textures/xlab_tj/highscores_xlab_run.tga
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/xlab_tj/highscores_xlab_run.tga
		blendfunc add
	}
}

textures/xlab_tj/sign_securityarea
{
	qer_editorimage textures/xlab_tj/sign_securityarea.tga
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/xlab_tj/sign_securityarea.tga
		blendfunc add
	}
}

textures/xlab_tj/sign_maintenance
{
	qer_editorimage textures/xlab_tj/sign_maintenance.tga
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/xlab_tj/sign_maintenance.tga
		blendfunc add
	}
}

textures/xlab_tj/sign_controlroom
{
	qer_editorimage textures/xlab_tj/sign_controlroom.tga
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/xlab_tj/sign_controlroom.tga
		blendfunc add
	}
}

textures/xlab_tj/metal1
{
	surfaceparm metalsteps
	implicitMap -
}

textures/xlab_tj/schacht
{
	surfaceparm metalsteps
	implicitMap -
}

textures/xlab_tj/door1_blank
{
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/xlab_tj/door1_blank.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/xlab_tj/door1_blank_mirrored
{
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/xlab_tj/door1_blank_mirrored.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ==================================================================================================================================
//	sfx shaders

textures/xlab_tj/zap_scroll2b
{
    q3map_surfacelight	1000
    surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_editorimage textures/xlab_tj/zap_scroll.jpg
	cull none
	
	{
		map textures/xlab_tj/zap_scroll.jpg
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1.2
	}	
        {
		map textures/xlab_tj/zap_scroll.jpg
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1.2
	}	
        {
		map textures/xlab_tj/zap_scroll2a.jpg
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1.2
	}	
        {
		map textures/xlab_tj/zap_scroll2a.jpg
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1.2
	}	
}

textures/xlab_tj/energyfield
{
 	qer_editorimage textures/xlab_tj/blue_portal_glow.tga
 	surfaceparm trans
 	surfaceparm nomarks
 	surfaceparm nonsolid
 	surfaceparm nolightmap
 	qer_trans 0.50
 	cull none
 	cull disable
	q3map_surfacelight 200
	{
 		map textures/xlab_tj/blue_portal_glow.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
 		tcmod scroll 0 0.05
 	}
	{
		map textures/xlab_tj/forcefield.jpg
		blendfunc add
		rgbGen wave sin 0 1 0.25 0.1 
	}
	{
 		map textures/xlab_tj/forcefield2.jpg
 		blendFunc GL_dst_color GL_one
 		tcmod scroll 0 -0.1
 	}
}